Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample
Class MvsConsoleInteraction

    java.lang.Object
      com.ibm.jzos.sample.MvsConsoleInteraction

    public class MvsConsoleInteraction

extends java.lang.Object

This sample shows how JZOS can be used to interact with the MVS console.

The main program enters a loop waiting for dataset names to be sent via the MVS modify command.

- If a modify command with APPL=DSN is received, its record count is written to the console via a WTO and the datasetCount is incremented.
- If a modify command with APPL=EXIT is received, the loop is abandond, the number of datasets processed is written to the MVS console and the program completes normally.
- If a stop command is received, the number of datasets processed is written to the MVS console and the program is exited via System.exit()

Constructor Summary
`MvsConsoleInteraction()`

Method Summary
`static void` | `main(java.lang.String[] args)` This program issues a WTO requesting that a dataset name be sent via an operator modify command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MvsConsoleInteraction

    public MvsConsoleInteraction()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  This program issues a WTO requesting that a dataset name be sent via an operator modify command. The resulting string is used to open a ZFile that reads the dataset and counts the number of records.

  The program loops until the string "EXIT" is sent via the modify command or a STOP command is received. The STOP command is handled entirely by the mvsCallback.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD